@book{kernighan1978
  , author    = "B.W. Kernighan and D.M. Richtie"
  , title     = "The {C} Programming Language"
  , publisher = "Prentice Hall, Englewood Cliffs, N.J."
  , year      = "1978"
}

@book{knuth1992
  , title     = "Literate Programming"
  , author    = "Donald E. Knuth"
  , year      = "1992"
  , publisher = "Stanford University Center for the Study of Lang. and Information"
  , series    = "CSLI Lecture Notes Number 27"
}

@book{knuth1986
  , title     = {The \TeX book}
  , author    = {Donald E. Knuth}
  , year      = {1986}
  , publisher = {Addison-Wesley Publishing Company}
  , edition   = {7th}
}

@book{goossens1997
  , title     = {The LaTeX Graphics Companion}
  , author    = {Michel Goossens and Sebastian Rahtz and Frank Mittelbach}
  , year      = {1997}
  , publisher = {Addison-Wesley}
}

@misc{jno2018
  , title     = "Program Design by Calculation"
  , author    = "José Nuno Oliveira"
  , year      = 2018
  , edition   = "Draft of textbook in preparation"
}

@article{boonya2019
  , title     = "Using Markov chains to forecast the proportion of noncommunicable diseases"
  , author    = "Jayathavaj, Vadhana and Boonya, Pranee"
  , year      = 2019
  , journal   = "Songklanakarin Journal of Science \& Technology"
  , volume    = 41
  , number    = 5
}

